import { MigrationInterface, QueryRunner } from "typeorm";

export class UpdateTableOrgRevisionRemoveOrgRevisionId1706275475806 implements MigrationInterface {
    name = 'UpdateTableOrgRevisionRemoveOrgRevisionId1706275475806'

    public async up(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE \`orgRevision\` DROP COLUMN \`orgRevisionId\``);
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE \`orgRevision\` ADD \`orgRevisionId\` varchar(40) NOT NULL DEFAULT '00000000-0000-0000-0000-000000000000'`);
    }

}
